Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 83)
@@ -674,6 +878,104 @@
         }
         #endregion
 
+        #region 担当者コンボボックスデータセット
+        /// <summary>
+        /// 担当者コンボボックスへ文字をセットする
+        /// </summary>
+        private void SetcombBoxPerson()
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            bool bSave = m_bInitFlg;
+            m_bInitFlg = true;
+            try
+            {
+                cmbConstructionPerson.DataSource = null;
+                cmbConstructionPerson.Items.Clear();
+                cmbConstructionPerson.Text = "";
+
+                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
+                string strSQL = string.Empty;
+                int DepartmentCode = GetDepartmentCode();
+                if (DepartmentCode == 0)
+                    strSQL = " WHERE DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC";
+                else
+                    strSQL = string.Format(" WHERE DEPARTMENTCODE = {0} AND DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC", DepartmentCode);
+
+                // 担当者マスタ読込
+                if (!picDB.SelectAction(strSQL, ref workList)) return;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (PersonInChargeMaster work in workList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.PersonCode, work.PersonName);
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, ConstructionDataList);
+
+                return;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+                m_bInitFlg = bSave;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスセット時部署をセットする
+        /// <summary>
+        /// 担当者コンボボックスセット時部署をセットする
+        /// </summary>
+        /// <returns></returns>
+        private bool SetPerosonToDepartment()
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                // コンボボックスより選択担当者を取得する
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode < 1) return false;
+
+                int DepartmentCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+
+                string strSQL = PersonDB.CreatePrimarykeyString(PersonCode);
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                PersonDB.SelectAction(strSQL, ref PersonRec);
+
+                // 部署コンボボックスへ部署コードセット
+                if (PersonRec.DepartmentCode > 0 && DepartmentCode != PersonRec.DepartmentCode)
+                {
+                    bool bSave = m_bInitFlg;
+                    m_bInitFlg = true;
+                    cmbDepartment.SelectedValue = PersonRec.DepartmentCode;
+                    SetcombBoxPerson();    // 担当者コンボボックス変更
+                    cmbConstructionPerson.SelectedValue = PersonCode;
+                    m_bInitFlg = bSave;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                PersonDB.close(); PersonDB = null;
+            }
+        }
+        #endregion
+
         #region 部署コンボボックスに対象があるかをチェックする
         /// <summary>
         /// 部署コンボボックスに対象があるかをチェックする
@@ -707,99 +1009,337 @@
         }
         #endregion
 
-        #region 担当者コンボボックスデータセット
+        #region 担当者コンボボックスに対象があるかをチェックする
         /// <summary>
-        /// 担当者コンボボックスへ文字をセットする
+        /// 担当者コンボボックスに対象があるかをチェックする
         /// </summary>
-        private void SetcombBoxPerson()
+        /// <param name="PersonCode"></param>
+        /// <returns></returns>
+        private bool SearchPersonCombBoxItem(int PersonCode)
         {
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
-                // 担当者マスタを検索する
-                //string strSQL = string.Format(" WHERE EMPLOYEECLASSFLG = {0} AND DELETEFLG = 0", (int)CommonDefine.EmployeeClassFlg.Regular);
-                string strSQL = " WHERE DELETEFLG = 0";
+                bool bRet = false;
+                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
+                    if (wrkPair.Key == PersonCode)
+                    {
+                        bRet = true;
+                        break;
+                    }
+                }
 
-                // 所　属　長
-                int Superior = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ登録
+        /// <summary>
+        /// データ登録
+        /// </summary>
+        /// <returns></returns>
+        private bool DataEntryProcess()
+        {
+            try
+            {
+                // データチェック
+                if (!DispFeildCheck()) return false;
+
+                if (MessageBox.Show("出勤日報データを登録します、よろしいですか？", "登録確認"
+                        , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return false;
+
+                // 登録処理
+                if (!EntryData()) return false;
+                
+                // データ変更フラグOFF
+                m_bChengeAns = false;
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            try
+            {
+                bool bSelFlg = false;
                 // 一般ユーザー
-                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
-                if (CommonMotions.LoginUserData.SecurityManagement == Superior)
+                int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;
+                if (CommonMotions.LoginUserSecurity.SecRank != User) bSelFlg = true;
+
+                if (bSelFlg)
                 {
-                    // 所属長（所属内のみ）
-                    strSQL += string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
+                    if (CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue) == 0)
+                    {
+                        MessageBox.Show("担当者を選択してください。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
                 }
-                else if (CommonMotions.LoginUserData.SecurityManagement == User)
+
+                // 残業エラー
+                if (CommonMotions.cnvDouble(m_DspControl[(int)DspCtrlName.Overtime].Text) > 999.9)
                 {
-                    // 一般ユーザーは担当者を選択できない
-                    return;
+                    MessageBox.Show("残業時間の合計は999.9までしか登録できません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
                 }
-                else
+
+                DataGridView dgv = dgvAllDisplay;
+                // グリッドの行分処理を行う
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
-                    if (CommonMotions.cnvInt(cmbDepartment.SelectedValue) != 0)
-                        strSQL += string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.cnvInt(cmbDepartment.SelectedValue));
+                    // 背景色変更（正常色）
+                    CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.OverTimes], true);
+                    CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.Comment], true);
+
+                    // 行動実績
+                    if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.ActionResult].Value).Length > 30)
+                    {
+                        // 背景色変更
+                        CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.ActionResult], false);
+                        bRet = false;
+                    }
+
+                    // 残業時間
+                    if (!CommonMotions.chkNumeric(wrkRow.Cells[(int)GridColumn01.OverTimes].Value))
+                    {
+                        // 背景色変更
+                        CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.OverTimes], false);
+                        bRet = false;
+                    }
+                    if (CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value) > 999.9)
+                    {
+                        // 背景色変更
+                        CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.OverTimes], false);
+                        bRet = false;
+                    }
+
+                    // 備考レングス
+                    if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value).Length > 120)
+                    {
+                        // 背景色変更
+                        CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.Comment], false);
+                        bRet = false;
+                    }
                 }
 
-                // 担当者マスタ読込
-                strSQL += " ORDER BY EMPLOYEECLASSFLG ASC, DISPLAYORDER ASC";
-                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>(); ;
-                if (!picDB.SelectAction(strSQL, ref workList)) return;
+                if (!bRet)
+                {
+                    MessageBox.Show("入力項目にエラーがあります。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                }
 
-                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
-                // データ表示
-                foreach (PersonInChargeMaster wrk in workList)
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ登録処理
+        /// <summary>
+        /// データ登録処理
+        /// </summary>
+        private bool EntryData()
+        {
+            IOAttendanceData MainDB = new IOAttendanceData();
+            IOAttendanceDailyData DailyDB = new IOAttendanceDailyData();
+            IOTranceportDailyData TranceportDB = new IOTranceportDailyData();
+            try
+            {
+
+                // 一括処理を行う
+                MainDB.connect(); MainDB.beginTran();
+                DailyDB.connect(); DailyDB.beginTran();
+                TranceportDB.connect(); TranceportDB.beginTran();
+
+                // 出勤管理データ登録
+                if (!EntAttendanceData(MainDB))
                 {
-                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.PersonCode, wrk.PersonName);
-                    DataList.Add(keyval);
+                    MainDB.rollback();
+                    return false;
                 }
+                // 出勤日報データ登録
+                if (!EntAttendanceDailyData(DailyDB))
+                {
+                    MainDB.rollback();
+                    DailyDB.rollback();
+                    return false;
+                }
+                // 出勤交通費データ登録
+                if (!EntTraceportDailyData(TranceportDB))
+                {
+                    MainDB.rollback();
+                    DailyDB.rollback();
+                    TranceportDB.rollback();
+                    return false;
+                }
 
-                // コンボボックス初期表示
-                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, DataList);
-
-                //// 新セキュリティデータ対応済みかを確認する
-                //if (CommonMotions.LoginUserData.SecCode == 0)
-                //{
-                //    // 一般ユーザーで総務部所属者ではない場合、ログイン者のコードをセットする
-                //    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key &&
-                //        CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision)
-                //    {
-                //        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
-                //    }
-                //}
+                return true;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
             }
             finally
             {
-                picDB.close(); picDB = null;
+                MainDB.commit();
+                DailyDB.commit();
+                TranceportDB.commit();
+
+                MainDB.close(); MainDB = null;
+                DailyDB.close(); DailyDB = null;
+                TranceportDB.close(); TranceportDB = null;
             }
         }
         #endregion
 
-        #region 担当者コンボボックスに対象があるかをチェックする
+        #region 出勤管理データ登録
         /// <summary>
-        /// 担当者コンボボックスに対象があるかをチェックする
+        /// 出勤管理データ登録
         /// </summary>
-        /// <param name="PersonCode"></param>
+        /// <param name="AttendanceDB"></param>
         /// <returns></returns>
-        private bool SearchPersonCombBoxItem(int PersonCode)
+        private bool EntAttendanceData(IOAttendanceData AttendanceDB)
         {
             try
             {
-                bool bRet = false;
-                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
+                // 対象月を取得する
+                string TargetMonth = GetTargetMonth();
+
+                // 担当者コンボボックス値取得
+                int PersonCode = GetConstructionPersonCode();
+
+                // まず削除する
+                string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strSQL += string.Format(" AND DATE_FORMAT(AttendanceMonth,'YYYY/MM') = '{0}'", TargetMonth);
+                AttendanceDB.DeleteAction(strSQL, false);
+
+                // グリッド取得
+                DataGridView dgv = dgvAllDisplay;
+
+                // データ編集
+                AttendanceData AttendanceRec = new AttendanceData();
+                AttendanceRec.PersonCode = PersonCode;
+                AttendanceRec.AttendanceMonth = CommonMotions.cnvDate(TargetMonth + "/01");
+                AttendanceRec.LastDays = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text);
+                AttendanceRec.AttendDayCount = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.WorkingDays].Text);
+                AttendanceRec.TotalOverTimes = CommonMotions.cnvDouble(m_DspControl[(int)DspCtrlName.Overtime].Text);
+                AttendanceRec.OrderNo = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.OrderNo].Text);
+
+                if (!AttendanceDB.InsertAction(AttendanceRec, false))
                 {
-                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
-                    if (wrkPair.Key == PersonCode)
+                    MessageBox.Show("出勤管理データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 出勤日報データ登録
+        /// <summary>
+        /// 出勤日報データ登録
+        /// </summary>
+        /// <param name="AttendanceDB"></param>
+        /// <returns></returns>
+        private bool EntAttendanceDailyData(IOAttendanceDailyData AttendanceDB)
+        {
+            try
+            {
+                // 対象月を取得する
+                string TargetMonth = GetTargetMonth();
+
+                // 担当者コンボボックス値取得
+                int PersonCode = GetConstructionPersonCode();
+
+                // まず削除する
+                string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strSQL += string.Format(" AND DATE_FORMAT(ATTENDANCEMONTH,'YYYY/MM') = '{0}'", TargetMonth);
+                AttendanceDB.DeleteAction(strSQL, false);
+
+                // グリッド取得
+                DataGridView dgv = dgvAllDisplay;
+
+                // グリッドの行分処理を行う
+                int LineCnt = 1;
+                string AttendName = string.Empty;
+                double OverTimes = 0;
+                string strComment = string.Empty;
+                DateTime AttendanceDate = DateTime.Now;
+                DateTime BreakDate = DateTime.MinValue;
+
+                string strInsert = string.Empty;
+                strSQL = "INSERT AttendanceDailyData";
+                strSQL += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(IOAttendanceDailyData.TableColumn)))
+                {
+                    if (!bFirst) strSQL += " ,";
+                    strSQL += gender.ToString();
+                    bFirst = false;
+                }
+                strSQL += ") VALUES";
+                bFirst = true;
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
+                {
+                    AttendName = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.ActionResult].Value);
+                    OverTimes = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
+                    strComment = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value);
+                    AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn01.AttendanceDate].Value);
+                    // 空白行は処理しない
+                    if (AttendName.Length == 0 && OverTimes == 0 && strComment.Length == 0) continue;
+
+                    // 日付が違えば行番号クリア
+                    if (AttendanceDate != BreakDate)
                     {
-                        bRet = true;
-                        break;
+                        BreakDate = AttendanceDate;
+                        LineCnt = 1;
                     }
+
+                    // SQL作成
+                    SetRowToSQL1(wrkRow, LineCnt++, bFirst, ref strInsert);
+
+                    bFirst = false;
                 }
 
-                return bRet;
+                if (strInsert.Length < 1) return true;
+             
+                strSQL += strInsert;
+                if (!AttendanceDB.ExecuteNonQuery(strSQL, false))
+                {
+                    MessageBox.Show("出勤日報データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
             }
             catch (Exception ex)
             {
@@ -809,37 +1349,108 @@
         }
         #endregion
 
-        #region 担当者コンボボックスセット時部署をセットする
+        #region 出勤日報データ作成SQL
         /// <summary>
-        /// 担当者コンボボックスセット時部署をセットする
+        /// 出勤日報データ作成SQL
         /// </summary>
+        /// <param name="wrkRow"></param>
+        /// <param name="LineCnt"></param>
+        /// <param name="strSQL"></param>
+        private void SetRowToSQL1(DataGridViewRow wrkRow, int LineCnt, bool bFirst,ref string strSQL)
+        {
+            try
+            {
+                string ActionResult = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.ActionResult].Value);
+                double OverTimes = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
+                string strComment = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value);
+                DateTime AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn01.AttendanceDate].Value);
+
+                int PersonCode = GetConstructionPersonCode();
+
+                if (bFirst) strSQL += " (";
+                else strSQL += ", (";
+
+                strSQL += string.Format("  {0}", PersonCode);                                                   // 担当者コード
+                strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", AttendanceDate.ToShortDateString());   // 日報作成日
+                strSQL += string.Format(", {0}", LineCnt);                                                      // 明細行番号
+                strSQL += string.Format(",'{0}'", ActionResult);                                                // 行動実績
+                strSQL += string.Format(", {0}", OverTimes);                                                    // 残業時間
+                strSQL += string.Format(",'{0}'", strComment);                                                  // コメント
+
+                strSQL += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strSQL += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strSQL = strSQL + ")";
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 出勤交通費データ登録
+        /// <summary>
+        /// 出勤交通費データ登録
+        /// </summary>
+        /// <param name="TranceportDB"></param>
         /// <returns></returns>
-        private bool SetPerosonToDepartment()
+        private bool EntTraceportDailyData(IOTranceportDailyData TranceportDB)
         {
-            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
             {
-                // コンボボックスより選択担当者を取得する
+                // 対象月を取得する
+                string TargetMonth = GetTargetMonth();
+
+                // 担当者コンボボックス値取得
                 int PersonCode = GetConstructionPersonCode();
-                if (PersonCode < 1) return false;
 
-                int DepartmentCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+                // まず削除する
+                string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strSQL += string.Format(" AND DATE_FORMAT(ATTENDANCEMONTH,'%Y/%m') = '{0}'", TargetMonth);
+                TranceportDB.DeleteAction(strSQL, false);
 
-                string strSQL = PersonDB.CreatePrimarykeyString(PersonCode);
-                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                PersonDB.SelectAction(strSQL, ref PersonRec);
+                string strInsert = string.Empty;
+                // グリッドの行分処理を行う
+                bool bComma = false;
+                foreach (DataGridViewRow wrkRow in dgvTransport01.Rows)
+                {
+                    // 有効行のチェック
+                    if (!ChkTranTraceportRow(wrkRow)) continue;
 
-                // 部署コンボボックスへ部署コードセット
-                if (PersonRec.DepartmentCode > 0 && DepartmentCode != PersonRec.DepartmentCode)
+                    SetRowToSQL2(PersonCode, wrkRow, bComma, ref strInsert);
+                    
+                    bComma = true;
+                }
+
+                foreach (DataGridViewRow wrkRow in dgvTransport02.Rows)
                 {
-                    bool bSave = m_bInitFlg;
-                    m_bInitFlg = true;
-                    cmbDepartment.SelectedValue = PersonRec.DepartmentCode;
-                    SetcombBoxPerson();    // 担当者コンボボックス変更
-                    cmbConstructionPerson.SelectedValue = PersonCode;
-                    m_bInitFlg = bSave;
+                    // 有効行のチェック
+                    if (!ChkTranTraceportRow(wrkRow)) continue;
+
+                    SetRowToSQL2(PersonCode, wrkRow, bComma, ref strInsert);
+
+                    bComma = true;
                 }
 
+                if (strInsert.Length < 1) return true;
+
+                strSQL = "INSERT TranceportDailyData";
+                strSQL += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(IOTranceportDailyData.TableColumn)))
+                {
+                    if (!bFirst) strSQL += " ,";
+                    strSQL += gender.ToString();
+                    bFirst = false;
+                }
+                strSQL += ") VALUES";
+                strSQL += strInsert;
+                if (!TranceportDB.ExecuteNonQuery(strSQL, false))
+                {
+                    MessageBox.Show("出勤交通費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
                 return true;
             }
             catch (Exception ex)
